Skip to content
vocapable.Docs

Whether Twilio can port a number in

GET
/v1/workspace/numbers/portability
curl --request GET \
--url 'https://api.vocapable.com/v1/workspace/numbers/portability?phone_e164=example' \
--header 'Authorization: Bearer <token>'
phone_e164
required
Phone E164
string
/^\+1[2-9]\d{9}$/

Successful Response

Media typeapplication/json
WorkspacePortability
object
phone_e164
required
Phone E164
string
portable
required
Portable
boolean
pin_and_account_number_required
required
Pin And Account Number Required
boolean
number_type
required
Any of:
string
reason
required
Any of:
string
Examplegenerated
{
"phone_e164": "example",
"portable": true,
"pin_and_account_number_required": true,
"number_type": "example",
"reason": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}